---
title: "Scribus 1.7.0: From Strength to Strength"
description: "Scribus has always been about substance. With 1.7.0 style, usability, and designer-focused features take the front seat."
date: 2025-02-13
tags:
  - FOSS/FLOSS
  - Libre Graphics
  - Underrated Apps
synopsis: "Scribus has always been about substance. With 1.7.0 style, usability, and designer-focused features take the front seat."
imageURL: /img/scribus_splash.webp
imageAlt: "The new Scribus splash screen featuring a fountain pen drawing a stream with koi fish. The splash screen is surrounded by printer marks."
mastodon_id: "114000796038604843"
---
Looking around the internet, you could be forgiven for thinking that Scribus is dead. These days, FLOSS[^1] developers debate the merits of merge requests in public chat rooms, track bugs through GitHub issues, and announce releases through widely-circulated blog posts or sleek landing pages. In contrast, the Scribus developers work seemingly cloistered far away from popular modern conveniences like Matrix and, erm, *git*. Despite their hermetic reputation, however, it is quite possible to glean what's going on in the Scribus project. The SVN repository [is mirrored on GitHub](https://github.com/scribusproject/scribus), the [bug tracker](https://bugs.scribus.net/changelog_page.php) shows clear signs of activity, and the official website reveals a fairly [steady pace of development](https://www.scribus.net/news/). Hell, LibreArts reported on the release of 1.7.0 [just last week](https://librearts.org/2025/02/week-recap-2-feb-2025/#scribus-170).

To be fair, most casual users of the FLOSS desktop-publishing mainstay aren't sniffing around the bug tracker, and for the past few years it sure didn't seem as though much had changed judging by the clunky, dated interface and pixelated icons you'd be met with upon launch. This is likely what has driven many a would-be user to pen an expletive-ridden Reddit thread instead of diving in and gaining enough experience with the program to know what die-hard Scribus fans have known for years: that Scribus is a blisteringly competent piece of software.

## The trouble(?) with Scribus
The major pain point of Scribus is, ironically, one of its key strengths. Designers used to working in InDesign and the ilk are used to being able to throw together a document on the fly, using their desktop publishing program as more of a freeform creative tool than a tool to denote and apply structure. This is not how Scribus works best. Simple things like choosing a color on the fly aren't possible in Scribus; rather than flicking your mouse over to a color-wheel, in Scribus, you'll go to Edit > Colors and Fills, where you'll select and add a color to your document's color list. Only then can you apply that color to a fill or stroke. Working without paragraph or character styles applied to type can be done, but it's sub-ideal; you'll set up some styles to stop the pain long before your work is done. When working with Scribus, you need to come in with a plan. Designers who regularly churn out pretty but poorly prepared files (and let's admit it, that's most of us[^2]) are in for a bit of a hard time. But if you stick it out, when you realize that you're simply going to *have to* set up your files methodically and properly, Scribus begins to feel like a weapon.

## Enter 1.7.0
Despite what the denizens of Reddit have to say, Scribus has been suitable for professional work for *years* now, and naysayers have had even less to complain about since Adobe announced that Pantone colors would, like Scribus, [no longer come baked into their software](https://www.theverge.com/2022/11/1/23434305/adobe-pantone-subscription-announcement-photoshop-illustrator). With the release of 1.7.0, Scribus finally looks and feels like the mature, feature-rich, professional tool that it has been for some time.

[![](/img/scribus_color_dialog.webp "The new color dialog.")](/img/scribus_color_dialog.webp)

The user-interface has been completely overhauled, with new icons, a proper window docking system, and more intuitive controls throughout the program. [Customizable optical margins](https://bugs.scribus.net/view.php?id=10539) have been introduced, allowing for [hanging punctuation](https://en.wikipedia.org/wiki/Hanging_punctuation). A unique new feature that I'm quite excited about is the white space review mode that allows you to check for typographic rivers while avoiding the risk of displacing your contacts through repeated squinting. [The full release notes](https://www.scribus.net/scribus-1-7-0-released/) detail what truly feels like a milestone release.

[![A Scribus document with all text covered in black bars, exposing the white space between the words.](/img/scribus_white_space_preview.webp "White space preview in action.")](/img/scribus_white_space_preview.webp)

By highlighting these user-facing improvements in Scribus 1.7.0, I don't mean to diminish the tremendous work that has been done behind the scenes, not least the years of work getting Scribus ready to move to QT6. That work is important, but what excites me so much about this latest release is the change in direction it could represent for the project: these features are not the sort that would be imagined by developers and built for their personal convenience, these features clearly represent the needs of *designers*.

[![The new Scribus splash screen featuring a fountain pen drawing a stream with koi fish. The splash screen is surrounded by printer marks.](/img/scribus_splash.webp "Look at that fancy splash screen!.")](/img/scribus_splash.webp)

Counterintuitively, this isn't a natural consequence of building software that might be used by design professionals. Take Inkscape, for example. There will be those in the project who see their work solely as creating a tool that implements the SVG specification; this is a fundamentally different point of view from that held by someone like [Martin Owens](https://www.youtube.com/@doctormo) who sees it as his job to create features that make Inkscape users happier, more productive, and to make Inkscape a tool that better suits their needs. This is where you get features like the shape builder tool, and upcoming CMYK support, both very much unnecessary if your goal for the project is a technical one, but critical tools for users who want to use the program in a professional setting where time is at a premium and output may be going to print.

Inkscape's [duplicate transform](https://www.youtube.com/shorts/qsyrBrg4DT8) and Scribus' white space preview features are prime examples of the unique, needs-focused capabilities that emerge when users, designers, and developers come together on equal terms in FLOSS projects; magic happens. So let's hope this trend continues. Scribus is *the* FLOSS option for professional desktop publishing, a cornerstone of the libre-arts landscape. Combined with Scribus' wide feature-set and dedication to solid, dependable PDF output, it's easy to see why I've long been an outspoken fan of the project, even back when it was ugly 😉.

## A bright FLOSS future
It's a good time to be a [GNU/Linux](/quizzes/how-much-of-a-linux-nerd-are-you/) user. With the amazing work being done by [KDE](https://kde.org), and Linux gaming hitting the mainstream, a killer release like 1.7.0 from a FLOSS project that has (somewhat unfairly) garnered a reputation for being stodgy and slow-moving, if not (utterly unfairly) outright abandonware, feels like icing on the cake. Alongside the major advancements made by the [Inkscape](https://inkscape.org) and [Krita](https://krita.org/en/) teams, it's a beacon of hope to the small number of intrepid designers and artists who rely on FLOSS to do their work—our options are few, but they are mighty.

[^1]: Free / Libre Open Source Software
[^2]: As a working-file neat-freak, I was uniquely positioned to switch to Scribus.
