---
title: "Meine Welt: It May be Time For Till Lindemann to Retire"
description: "You always hope that your favorite musicians will retire before they do anything too embarrassing."
date: 2025-03-28
tags:
  - Music
  - "TW: SA"
synopsis: "You always hope that your favorite musicians will retire before they do anything too embarrassing."
imageURL: /img/till.webp
imageAlt: A black and white photo of Till Lindemann looking sad.
---
Over his storied career, Till Lindemann has been given a lot of grace. Both he, as a lyricist, and the Neue Deutsche Härte powerhouse he fronts, have made some questionable decisions over the years. Many of these missteps might perhaps be chalked up to the era, such as the unfortunate fat-suits in Rammstein's *Keine Lust* music video. We might also see the red-face in *Amerika* as ignorance rather than malice, given it was donned by a group some 5,000 miles away from the peoples being insulted, and in 2004,  no less. Likewise, as a queer Rammstein fan I always saw *Mann gegen Mann* as a statement on the ridiculousness inherent in the rabid homophobia that was common at the time. The trouble with satire, however, is that you can never be perfectly sure whose side is being satirized, and Lindemann's later work threatens to cast an unflattering light upon lyrics written decades ago.

In 2015, you didn't have to be on the bleeding edge of contemporary thought on matters of social justice to recognize that *Ladyboy* and *Fat* of Till Lindemann and Peter Tägtgren's *Skills in Pills* was, to put it mildly, problematic. Still, Rammstein has never taken itself too seriously; it didn't seem terribly incongruent or damning that Till would opt to play the clown in an ill-advised politically-incorrect shock-rock album that, let us admit, did contain the odd banger. Till's attempts at a contemporary *Leah Sublime[^1]*  certainly ring hollow compared to much his lyrics for Rammstein—which, while also often juvenile and shocking, explore themes of love, lust, obsession, gender, and the body in interesting and compelling ways—but never have I felt that they betray anything more insidious than a blurry view of the boundaries of poor taste. Further, Rammstein detractors have so long 'spent spouting the tide'[^2] of satanic-panic style criticism and speculation as to the group's messaging and politics, that it was eventually forced to be quite frank on the matter. As Lewis Twilby reported in Edinburgh University's history, classics, and archaeology magazine, *[Retrospect Journal](https://retrospectjournal.com/2019/10/20/deutschland-by-rammstein-a-look-at-cultural-memory-in-germany/)*:
> in a 2011 interview with Rolling Stone Lindemann said that he is a socialist and that ‘We used to be either punks or goths – We hate Nazis!’. This is highlighted by their song ‘Links 2,3,4,’ which is a direct reference to the labour movement song Einheitsfrontlied.

Famously refusing to provide almost any detail whatsoever on the meaning of Rammstein's lyrics, it's hard to glean much about the mind behind them unless they are quite explicit. For this, Lindemann's *Meine Welt* was all the more shocking. The video, released hours ago, opens with a gagged Lindemann, wearing a cross and being pushed in a wheelchair by an angry mob of women wielding signs featuring slogans such as "Kill Till," "Toxic Masculinity," and "Female Revenge." A melancholy piano solo plays as the camera closes in on the women's scowling faces as they yell and chant. Particular focus is placed on those in the crowd with piercings, or shaven heads. As the beat picks up, the video transitions to AI generated slop: gory and alien-looking childbirth imagery. The first verse begins[^3]:

> Naughty, unabashed<br />
Unknown and unshaven<br />
Unteachable, clueless<br />
Insatiable, unpunished<br />
Immovable, so unspeakable<br />
Shameless and unbearable<br />
Useless, uncovered<br />
Unaesthetic, unlicked

The chorus follows:
> Somehow, someday<br />
We'll start over from scratch<br />
Somehow and somewhere<br />
Life laughing, senses happy<br />
I'll show you my world<br />
A place for lost souls<br />
When a person falls from heaven<br />
They won't count the stars

Knowing the history of Till's work with Rammstein, you *might* argue that this is a *Mann gegen Mann*-esque parody of the embarrassing "men's rights" crowd who seriously argue that women attempting to protect themselves from sexual assault and lift impunity from the men who commit it is a mysandrist witch-hunt, if it were not for the  mewling chorus and, oh yes, the fact that Till [was himself accused of sexual misconduct a couple of years ago](https://www.bbc.com/news/entertainment-arts-66646096). Due to a lack of evidence, the investigation was dropped, and while this says nothing about whether or not Till committed the acts he was accused of, when these sorts of accusations occur, we have a unique opportunity to learn something about the individual to whom they are directed. Of course a range of emotions might be expected under the circumstances, but I think it's fair to say that releasing a music video two years later portraying oneself as a Christ-like figure while characterizing women as an angry, "unaesthetic," "unshaven," "unteachable," and "unlicked," mob is neither a decent nor reasonable response—even if allegations were false, or indeed, malicious.

This is a deeply embarrassing moment for Till Lindemann, or at least it ought to be. If we were to stretch the benefit of the doubt to encircle the earth, it would be difficult to believe that this release is parody, and it would remain in egregious taste in any case. In addition, the martyr act from these famous figures accused of god-knows-what is consistently pathetic—are we to feel sorry for these multimillionaires who suffer no legal consequences and fail to miss a single wayward drop of revenue following the release of the shocking allegations leveled toward them? While we don't tend to expect better from public figures, when they are known to espouse leftist beliefs, we certainly hope for it, and it's a tremendous disappointment every time. As lyricist for Rammstein, Till's behavior also threatens to cast aspersions on the band's entire body of work, potentially eroding the good faith that gave the writing an air of irony, exploration, and at times a sense of literary value as it straddled the line bordering outright vulgarity. A poetic exploration of sexual violence can sometimes be useful and cathartic for those affected—Rammstein fans have been known to write in to the band to say as much—but the work takes on a different tone entirely when its author is accused of sexual misconduct and uses the experience as an excuse to express outright misogyny *via music video* while playing the martyr.

The release also says something about where Till is (or rather, isn't) artistically. Rammstein songs have historically been replete with references to classic literature, German culture, and wordplay, their videos visually arresting and multifaceted in their storytelling—barring the odd *Pussy* affair, but the lyrics, message, and egregious quantities of AI slop in *Meine Welt* indicate to me that either Till is losing touch with both the zeitgeist and his eye for quality simultaneously, or that perhaps someone else had been reigning him in all along. In either case, the man is sprinting towards self-parody, and the teenager in me desperately wishes he had retired first.

[^1]: If you don't get this reference, count yourself lucky and don't investigate further.
[^2]: Forgive me.
[^3]: Lyrics via [genius.com](https://genius.com/Genius-english-translations-till-lindemann-meine-welt-english-translation-lyrics).
